Bug 987805 - htop core dump when change 'detailed cpu time'
htop core dump when change 'detailed cpu time'
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
: 987815 (view as bug list)
Depends On: 1039258
  Show dependency treegraph
Reported: 2013-07-24 04:03 EDT by Artur Szymczak
Modified: 2014-05-08 23:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: htop-1.0.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-01 03:03:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
htop log on console (4.93 KB, text/plain)
2013-07-24 04:03 EDT, Artur Szymczak
no flags Details

  None (edit)
Description Artur Szymczak 2013-07-24 04:03:06 EDT
Created attachment 777643 [details]
htop log on console

Description of problem:
htop is dumping core, when I change setup (F2) for CPU.

Version-Release number of selected component (if applicable):

How reproducible:
It is happend allways.

Steps to Reproduce:
1. run htop
2. enter in to setup (press F2)
3. from 'Available meters' select 'CPUs (1&2/2)' (press F5 or F6)
4. change display from 'bar' to 'text' for 'CPUs (1&2/2)' (press enter)
5. go to 'Display options' and turn on 'Detailed CPU time (System/IO-Wait/Hard-IRQ/Soft-IRQ/Steal/Guest)'
6. now turn it off
7. you got core dumped

Actual results:
core dumped. htop stop working. I have to run it again.

Expected results:
htop won't core dump

Additional info:
I attached logs from console (not all, because I can't scroll them, after htop exits).
Comment 1 Dawid Gajownik 2014-01-15 17:45:16 EST
Hi Artur,

thanks for your bug report. I informed htop developer about this crash and provided additional problem analysis.
Comment 2 Dawid Gajownik 2014-01-16 03:30:22 EST
Issue was fixed in master git branch

We must wait for the official release now.
Comment 3 Dawid Gajownik 2014-01-16 15:33:24 EST
*** Bug 987815 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2014-04-28 14:27:05 EDT
htop-1.0.3-1.fc19 has been submitted as an update for Fedora 19.
Comment 5 Fedora Update System 2014-04-28 14:28:30 EDT
htop-1.0.3-1.fc20 has been submitted as an update for Fedora 20.
Comment 6 Fedora Update System 2014-04-30 00:05:20 EDT
Package htop-1.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing htop-1.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-05-01 03:03:02 EDT
htop-1.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-05-08 23:02:10 EDT
htop-1.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.